# Uses of Enum Class
com.ocient.util.SortMode

Packages that use SortMode
Package
Description
com.ocient.jdbc
com.ocient.util

## Uses of SortMode in com.ocient.jdbc

Methods in com.ocient.jdbc with parameters of type SortMode
Modifier and Type
Method
Description
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSet(XGConnection conn, int fetchSize, XGStatement stmt, int parallelism, XGConnectionFactory channelFactory, RowTransformerFactory rowTransformerFactory, SortMode sortMode, Map<String,Integer> streamProperties)`
Initializes a new `XGResultSet` object and returns a CompletionStage that completes when the result set's metadata has been retrieved from the server and completes with an exceptional `CompletableFutures.SQLResult` on failure.
`static CompletionStage<CompletableFutures.SQLResult<XGResultSet>>`
XGResultSet.`initResultSet(XGConnection conn, int fetchSize, XGStatement stmt, int parallelism, XGConnectionFactory channelFactory, RowTransformerFactory rowTransformerFactory, SortMode sortMode, Map<String,Integer> streamProperties, XGStatement.EventMonitor eventMonitor)`

## Uses of SortMode in com.ocient.util

Methods in com.ocient.util that return SortMode
Modifier and Type
Method
Description
`static SortMode`
SortMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SortMode[]`
SortMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.ocient.util with parameters of type SortMode
Modifier
Constructor
Description
``
`LazyFanInPriorityQueue(int width, int capacity, SortMode sortMode, String queryId, Consumer<CompletableFutures.SQLResult<RowBatch>> onAdd, BiConsumer<CompletableFutures.SQLResult<RowBatch>,QueuePermit> onRemove, Executor executor)`
Constructs a LazyFanInPriorityQueue with the specified parameters.